Target version: 0.4
Description

Experience has shown that obtaining projects in form of archives via downloads is an unavoidable use-case.

Support for this use-case can be improved by treating the download of archives as an scm mechanism and applying the usual
analysis and generator machinery afterwards.

Associated revisions
Revision b6c8295e - 10/08/2014 05:23 PM - J. Moringen

Added archive access method and archive aspect

refs #1989

This commit adds initial support. Still missing is the ability to use
variable substitution in repository URLs.

    -  src/analysis/archive.lisp: new file; contains the archive access
  method

    -  src/project/aspects.lisp (define-aspect archive): new aspect; generate
  a shell builder to download and extract the archive

    -  jenkins.project.asd (system jenkins.project): added file
  src/analysis/archive.lisp

Revision 996dfa30 - 10/23/2014 04:40 PM - J. Moringen

Generate non-verbose wget downloads in src/project/aspects.lisp

refs #1989

    -  src/project/aspects.lisp (define-aspect archive): use wget's
  --no-verbose flag to make the console output of the generated job less
  cluttered

Revision 792fefe5 - 10/23/2014 04:40 PM - J. Moringen

Backport: Generate non-verbose wget downloads in src/project/aspects.lisp

refs #1989

    -  src/project/aspects.lisp (define-aspect archive): use wget's
  --no-verbose flag to make the console output of the generated job less
  cluttered

History
#1 - 10/09/2014 02:19 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 70

#2 - 10/20/2014 06:01 PM - J. Wienke

please use --no-verbose to suppress wget progress bars

#3 - 03/02/2015 02:07 PM - J. Moringen
- Target version changed from 0.4 to 0.5

#4 - 10/02/2015 11:17 AM - J. Moringen
- Status changed from In Progress to Resolved
- Target version changed from 0.5 to 0.4
- % Done changed from 70 to 100

Resolved except for variable substitution in repository URL which is not really the same issue.
